

; ! ! ! 
; Damn ! Because of masm buggy behaviour I have to change the strings,
; otherwise masm defines not the string but the value.
; I cheat here a bit :) Since it's casesensitive I've just change the very first letter to lower case.
; While processing I restore it back to upper case. The strings are all in .data section
; so we can write without copying.
; ! ! ! 

; d4drvif.inc

MNEMONIC	{IOCTL_DOT4_CREATE_SOCKET,					$TA0("iOCTL_DOT4_CREATE_SOCKET")}
MNEMONIC	{IOCTL_DOT4_DESTROY_SOCKET,					$TA0("iOCTL_DOT4_DESTROY_SOCKET")}
MNEMONIC	{IOCTL_DOT4_WAIT_FOR_CHANNEL,				$TA0("iOCTL_DOT4_WAIT_FOR_CHANNEL")}
MNEMONIC	{IOCTL_DOT4_OPEN_CHANNEL,					$TA0("iOCTL_DOT4_OPEN_CHANNEL")}
MNEMONIC	{IOCTL_DOT4_CLOSE_CHANNEL,					$TA0("iOCTL_DOT4_CLOSE_CHANNEL")}
MNEMONIC	{IOCTL_DOT4_READ,							$TA0("iOCTL_DOT4_READ")}
MNEMONIC	{IOCTL_DOT4_WRITE,							$TA0("iOCTL_DOT4_WRITE")}
MNEMONIC	{IOCTL_DOT4_ADD_ACTIVITY_BROADCAST,			$TA0("iOCTL_DOT4_ADD_ACTIVITY_BROADCAST")}
MNEMONIC	{IOCTL_DOT4_REMOVE_ACTIVITY_BROADCAST,		$TA0("iOCTL_DOT4_REMOVE_ACTIVITY_BROADCAST")}
MNEMONIC	{IOCTL_DOT4_WAIT_ACTIVITY_BROADCAST,		$TA0("iOCTL_DOT4_WAIT_ACTIVITY_BROADCAST")}

; gameport.inc

MNEMONIC	{IOCTL_GAMEENUM_EXPOSE_HARDWARE,			$TA0("iOCTL_GAMEENUM_EXPOSE_HARDWARE")}
MNEMONIC	{IOCTL_GAMEENUM_REMOVE_HARDWARE,			$TA0("iOCTL_GAMEENUM_REMOVE_HARDWARE")}
MNEMONIC	{IOCTL_GAMEENUM_PORT_DESC,					$TA0("iOCTL_GAMEENUM_PORT_DESC")}

MNEMONIC	{IOCTL_GAMEENUM_PORT_PARAMETERS,			$TA0("iOCTL_GAMEENUM_PORT_PARAMETERS")}
MNEMONIC	{IOCTL_GAMEENUM_EXPOSE_SIBLING,				$TA0("iOCTL_GAMEENUM_EXPOSE_SIBLING")}
MNEMONIC	{IOCTL_GAMEENUM_REMOVE_SELF,				$TA0("iOCTL_GAMEENUM_REMOVE_SELF")}
MNEMONIC	{IOCTL_GAMEENUM_ACQUIRE_ACCESSORS,			$TA0("iOCTL_GAMEENUM_ACQUIRE_ACCESSORS")}

; ipfirewall.inc

MNEMONIC	{IOCTL_IP_SET_FIREWALL_HOOK,				$TA0("iOCTL_IP_SET_FIREWALL_HOOK")}

; mountdev.inc

MNEMONIC	{IOCTL_MOUNTDEV_QUERY_UNIQUE_ID,			$TA0("iOCTL_MOUNTDEV_QUERY_UNIQUE_ID")}
MNEMONIC	{IOCTL_MOUNTDEV_UNIQUE_ID_CHANGE_NOTIFY,	$TA0("iOCTL_MOUNTDEV_UNIQUE_ID_CHANGE_NOTIFY")}
MNEMONIC	{IOCTL_MOUNTDEV_QUERY_SUGGESTED_LINK_NAME,	$TA0("iOCTL_MOUNTDEV_QUERY_SUGGESTED_LINK_NAME")}
MNEMONIC	{IOCTL_MOUNTDEV_LINK_CREATED,				$TA0("iOCTL_MOUNTDEV_LINK_CREATED")}
MNEMONIC	{IOCTL_MOUNTDEV_LINK_DELETED,				$TA0("iOCTL_MOUNTDEV_LINK_DELETED")}
MNEMONIC	{IOCTL_MOUNTDEV_QUERY_STABLE_GUID,			$TA0("iOCTL_MOUNTDEV_QUERY_STABLE_GUID")}


; mountmgr.inc

MNEMONIC	{IOCTL_MOUNTMGR_CREATE_POINT,				$TA0("iOCTL_MOUNTMGR_CREATE_POINT")}
MNEMONIC	{IOCTL_MOUNTMGR_DELETE_POINTS,				$TA0("iOCTL_MOUNTMGR_DELETE_POINTS")}
MNEMONIC	{IOCTL_MOUNTMGR_QUERY_POINTS,				$TA0("iOCTL_MOUNTMGR_QUERY_POINTS")}
MNEMONIC	{IOCTL_MOUNTMGR_DELETE_POINTS_DBONLY,		$TA0("iOCTL_MOUNTMGR_DELETE_POINTS_DBONLY")}
MNEMONIC	{IOCTL_MOUNTMGR_NEXT_DRIVE_LETTER,			$TA0("iOCTL_MOUNTMGR_NEXT_DRIVE_LETTER")}
MNEMONIC	{IOCTL_MOUNTMGR_AUTO_DL_ASSIGNMENTS,		$TA0("iOCTL_MOUNTMGR_AUTO_DL_ASSIGNMENTS")}
MNEMONIC	{IOCTL_MOUNTMGR_VOLUME_MOUNT_POINT_CREATED,	$TA0("iOCTL_MOUNTMGR_VOLUME_MOUNT_POINT_CREATED")}
MNEMONIC	{IOCTL_MOUNTMGR_VOLUME_MOUNT_POINT_DELETED,	$TA0("iOCTL_MOUNTMGR_VOLUME_MOUNT_POINT_DELETED")}
MNEMONIC	{IOCTL_MOUNTMGR_CHANGE_NOTIFY,				$TA0("iOCTL_MOUNTMGR_CHANGE_NOTIFY")}
MNEMONIC	{IOCTL_MOUNTMGR_KEEP_LINKS_WHEN_OFFLINE,	$TA0("iOCTL_MOUNTMGR_KEEP_LINKS_WHEN_OFFLINE")}
MNEMONIC	{IOCTL_MOUNTMGR_CHECK_UNPROCESSED_VOLUMES,	$TA0("iOCTL_MOUNTMGR_CHECK_UNPROCESSED_VOLUMES")}
MNEMONIC	{IOCTL_MOUNTMGR_VOLUME_ARRIVAL_NOTIFICATION,$TA0("iOCTL_MOUNTMGR_VOLUME_ARRIVAL_NOTIFICATION")}
MNEMONIC	{IOCTL_MOUNTMGR_QUERY_DOS_VOLUME_PATH,		$TA0("iOCTL_MOUNTMGR_QUERY_DOS_VOLUME_PATH")}
MNEMONIC	{IOCTL_MOUNTMGR_QUERY_DOS_VOLUME_PATHS,		$TA0("iOCTL_MOUNTMGR_QUERY_DOS_VOLUME_PATHS")}
MNEMONIC	{IOCTL_MOUNTMGR_SCRUB_REGISTRY,				$TA0("iOCTL_MOUNTMGR_SCRUB_REGISTRY")}
MNEMONIC	{IOCTL_MOUNTMGR_QUERY_AUTO_MOUNT,			$TA0("iOCTL_MOUNTMGR_QUERY_AUTO_MOUNT")}
MNEMONIC	{IOCTL_MOUNTMGR_SET_AUTO_MOUNT,				$TA0("iOCTL_MOUNTMGR_SET_AUTO_MOUNT")}

MNEMONIC	{IOCTL_MOUNTDEV_QUERY_DEVICE_NAME,			$TA0("iOCTL_MOUNTDEV_QUERY_DEVICE_NAME")}

; ntdd1394.inc

MNEMONIC	{IOCTL_IEEE1394_API_REQUEST,				$TA0("iOCTL_IEEE1394_API_REQUEST")}

; ntdd8042.inc

MNEMONIC	{IOCTL_INTERNAL_I8042_HOOK_KEYBOARD,		$TA0("iOCTL_INTERNAL_I8042_HOOK_KEYBOARD")}
MNEMONIC	{IOCTL_INTERNAL_I8042_HOOK_MOUSE,			$TA0("iOCTL_INTERNAL_I8042_HOOK_MOUSE")}

MNEMONIC	{IOCTL_INTERNAL_I8042_KEYBOARD_WRITE_BUFFER,$TA0("iOCTL_INTERNAL_I8042_KEYBOARD_WRITE_BUFFER")}
MNEMONIC	{IOCTL_INTERNAL_I8042_MOUSE_WRITE_BUFFER,	$TA0("iOCTL_INTERNAL_I8042_MOUSE_WRITE_BUFFER")}

MNEMONIC	{IOCTL_INTERNAL_I8042_CONTROLLER_WRITE_BUFFER,		$TA0("iOCTL_INTERNAL_I8042_CONTROLLER_WRITE_BUFFER")}

MNEMONIC	{IOCTL_INTERNAL_I8042_KEYBOARD_START_INFORMATION,	$TA0("iOCTL_INTERNAL_I8042_KEYBOARD_START_INFORMATION")}
MNEMONIC	{IOCTL_INTERNAL_I8042_MOUSE_START_INFORMATION,		$TA0("iOCTL_INTERNAL_I8042_MOUSE_START_INFORMATION")}

; ntddbeep.inc

MNEMONIC	{IOCTL_BEEP_SET,							$TA0("iOCTL_BEEP_SET")}

; ntddcdrm.inc

MNEMONIC	{IOCTL_CDROM_UNLOAD_DRIVER,					$TA0("iOCTL_CDROM_UNLOAD_DRIVER")}

MNEMONIC	{IOCTL_CDROM_READ_TOC,						$TA0("iOCTL_CDROM_READ_TOC")}
MNEMONIC	{IOCTL_CDROM_SEEK_AUDIO_MSF,				$TA0("iOCTL_CDROM_SEEK_AUDIO_MSF")}
MNEMONIC	{IOCTL_CDROM_STOP_AUDIO,					$TA0("iOCTL_CDROM_STOP_AUDIO")}
MNEMONIC	{IOCTL_CDROM_PAUSE_AUDIO,					$TA0("iOCTL_CDROM_PAUSE_AUDIO")}
MNEMONIC	{IOCTL_CDROM_RESUME_AUDIO,					$TA0("iOCTL_CDROM_RESUME_AUDIO")}
MNEMONIC	{IOCTL_CDROM_GET_VOLUME,					$TA0("iOCTL_CDROM_GET_VOLUME")}
MNEMONIC	{IOCTL_CDROM_PLAY_AUDIO_MSF,				$TA0("iOCTL_CDROM_PLAY_AUDIO_MSF")}
MNEMONIC	{IOCTL_CDROM_SET_VOLUME,					$TA0("iOCTL_CDROM_SET_VOLUME")}
MNEMONIC	{IOCTL_CDROM_READ_Q_CHANNEL,				$TA0("iOCTL_CDROM_READ_Q_CHANNEL")}
MNEMONIC	{IOCTL_CDROM_GET_CONTROL,					$TA0("iOCTL_CDROM_GET_CONTROL")}
MNEMONIC	{IOCTL_CDROM_GET_LAST_SESSION,				$TA0("iOCTL_CDROM_GET_LAST_SESSION")}
MNEMONIC	{IOCTL_CDROM_RAW_READ,						$TA0("iOCTL_CDROM_RAW_READ")}
MNEMONIC	{IOCTL_CDROM_DISK_TYPE,						$TA0("iOCTL_CDROM_DISK_TYPE")}

MNEMONIC	{IOCTL_CDROM_GET_DRIVE_GEOMETRY,			$TA0("iOCTL_CDROM_GET_DRIVE_GEOMETRY")}
MNEMONIC	{IOCTL_CDROM_GET_DRIVE_GEOMETRY_EX,			$TA0("iOCTL_CDROM_GET_DRIVE_GEOMETRY_EX")}

MNEMONIC	{IOCTL_CDROM_READ_TOC_EX,					$TA0("iOCTL_CDROM_READ_TOC_EX")}
MNEMONIC	{IOCTL_CDROM_GET_CONFIGURATION,				$TA0("iOCTL_CDROM_GET_CONFIGURATION")}

MNEMONIC	{IOCTL_CDROM_CHECK_VERIFY,					$TA0("iOCTL_CDROM_CHECK_VERIFY")}
MNEMONIC	{IOCTL_CDROM_MEDIA_REMOVAL,					$TA0("iOCTL_CDROM_MEDIA_REMOVAL")}
MNEMONIC	{IOCTL_CDROM_EJECT_MEDIA,					$TA0("iOCTL_CDROM_EJECT_MEDIA")}
MNEMONIC	{IOCTL_CDROM_LOAD_MEDIA,					$TA0("iOCTL_CDROM_LOAD_MEDIA")}
MNEMONIC	{IOCTL_CDROM_RESERVE,						$TA0("iOCTL_CDROM_RESERVE")}
MNEMONIC	{IOCTL_CDROM_RELEASE,						$TA0("iOCTL_CDROM_RELEASE")}
MNEMONIC	{IOCTL_CDROM_FIND_NEW_DEVICES,				$TA0("iOCTL_CDROM_FIND_NEW_DEVICES")}

Fix iOCTL_CDROM_SIMBAD weird function code
;MNEMONIC	{IOCTL_CDROM_SIMBAD,						$TA0("iOCTL_CDROM_SIMBAD")}

; ntddcdvd.inc

MNEMONIC	{IOCTL_DVD_START_SESSION,					$TA0("iOCTL_DVD_START_SESSION")}
MNEMONIC	{IOCTL_DVD_READ_KEY,						$TA0("iOCTL_DVD_READ_KEY")}
MNEMONIC	{IOCTL_DVD_SEND_KEY,						$TA0("iOCTL_DVD_SEND_KEY")}
MNEMONIC	{IOCTL_DVD_END_SESSION,						$TA0("iOCTL_DVD_END_SESSION")}
MNEMONIC	{IOCTL_DVD_SET_READ_AHEAD,					$TA0("iOCTL_DVD_SET_READ_AHEAD")}
MNEMONIC	{IOCTL_DVD_GET_REGION,						$TA0("iOCTL_DVD_GET_REGION")}
MNEMONIC	{IOCTL_DVD_SEND_KEY2,						$TA0("iOCTL_DVD_SEND_KEY2")}

MNEMONIC	{IOCTL_DVD_READ_STRUCTURE,					$TA0("iOCTL_DVD_READ_STRUCTURE")}

MNEMONIC	{IOCTL_STORAGE_SET_READ_AHEAD,				$TA0("iOCTL_STORAGE_SET_READ_AHEAD")}

; ntddchgr.inc

MNEMONIC	{IOCTL_CHANGER_GET_PARAMETERS,				$TA0("iOCTL_CHANGER_GET_PARAMETERS")}
MNEMONIC	{IOCTL_CHANGER_GET_STATUS,					$TA0("iOCTL_CHANGER_GET_STATUS")}
MNEMONIC	{IOCTL_CHANGER_GET_PRODUCT_DATA,			$TA0("iOCTL_CHANGER_GET_PRODUCT_DATA")}
MNEMONIC	{IOCTL_CHANGER_SET_ACCESS,					$TA0("iOCTL_CHANGER_SET_ACCESS")}
MNEMONIC	{IOCTL_CHANGER_GET_ELEMENT_STATUS,			$TA0("iOCTL_CHANGER_GET_ELEMENT_STATUS")}
MNEMONIC	{IOCTL_CHANGER_INITIALIZE_ELEMENT_STATUS,	$TA0("iOCTL_CHANGER_INITIALIZE_ELEMENT_STATUS")}
MNEMONIC	{IOCTL_CHANGER_SET_POSITION,				$TA0("iOCTL_CHANGER_SET_POSITION")}
MNEMONIC	{IOCTL_CHANGER_EXCHANGE_MEDIUM,				$TA0("iOCTL_CHANGER_EXCHANGE_MEDIUM")}
MNEMONIC	{IOCTL_CHANGER_MOVE_MEDIUM,					$TA0("iOCTL_CHANGER_MOVE_MEDIUM")}
MNEMONIC	{IOCTL_CHANGER_REINITIALIZE_TRANSPORT,		$TA0("iOCTL_CHANGER_REINITIALIZE_TRANSPORT")}
MNEMONIC	{IOCTL_CHANGER_QUERY_VOLUME_TAGS,			$TA0("iOCTL_CHANGER_QUERY_VOLUME_TAGS")}

; ntdddisk.inc

MNEMONIC	{IOCTL_DISK_GET_DRIVE_GEOMETRY,				$TA0("iOCTL_DISK_GET_DRIVE_GEOMETRY")}
MNEMONIC	{IOCTL_DISK_GET_PARTITION_INFO,				$TA0("iOCTL_DISK_GET_PARTITION_INFO")}
MNEMONIC	{IOCTL_DISK_SET_PARTITION_INFO,				$TA0("iOCTL_DISK_SET_PARTITION_INFO")}
MNEMONIC	{IOCTL_DISK_GET_DRIVE_LAYOUT,				$TA0("iOCTL_DISK_GET_DRIVE_LAYOUT")}
MNEMONIC	{IOCTL_DISK_SET_DRIVE_LAYOUT,				$TA0("iOCTL_DISK_SET_DRIVE_LAYOUT")}
MNEMONIC	{IOCTL_DISK_VERIFY,							$TA0("iOCTL_DISK_VERIFY")}
MNEMONIC	{IOCTL_DISK_FORMAT_TRACKS,					$TA0("iOCTL_DISK_FORMAT_TRACKS")}
MNEMONIC	{IOCTL_DISK_REASSIGN_BLOCKS,				$TA0("iOCTL_DISK_REASSIGN_BLOCKS")}
MNEMONIC	{IOCTL_DISK_PERFORMANCE,					$TA0("iOCTL_DISK_PERFORMANCE")}
MNEMONIC	{IOCTL_DISK_IS_WRITABLE,					$TA0("iOCTL_DISK_IS_WRITABLE")}
MNEMONIC	{IOCTL_DISK_LOGGING,						$TA0("iOCTL_DISK_LOGGING")}
MNEMONIC	{IOCTL_DISK_FORMAT_TRACKS_EX,				$TA0("iOCTL_DISK_FORMAT_TRACKS_EX")}
MNEMONIC	{IOCTL_DISK_HISTOGRAM_STRUCTURE,			$TA0("iOCTL_DISK_HISTOGRAM_STRUCTURE")}
MNEMONIC	{IOCTL_DISK_HISTOGRAM_DATA,					$TA0("iOCTL_DISK_HISTOGRAM_DATA")}
MNEMONIC	{IOCTL_DISK_HISTOGRAM_RESET,				$TA0("iOCTL_DISK_HISTOGRAM_RESET")}
MNEMONIC	{IOCTL_DISK_REQUEST_STRUCTURE,				$TA0("iOCTL_DISK_REQUEST_STRUCTURE")}
MNEMONIC	{IOCTL_DISK_REQUEST_DATA,					$TA0("iOCTL_DISK_REQUEST_DATA")}
IOCTL_DISK_PERFORMANCE_OFF      equ CTL_CODE(IOCTL_DISK_BASE, 0018h, METHOD_BUFFERED, FILE_ANY_ACCESS)

MNEMONIC	{IOCTL_DISK_CONTROLLER_NUMBER,				$TA0("iOCTL_DISK_CONTROLLER_NUMBER")}

MNEMONIC	{SMART_GET_VERSION,							$TA0("sMART_GET_VERSION")}
MNEMONIC	{SMART_SEND_DRIVE_COMMAND,					$TA0("sMART_SEND_DRIVE_COMMAND")}
MNEMONIC	{SMART_RCV_DRIVE_DATA,						$TA0("sMART_RCV_DRIVE_DATA")}

MNEMONIC	{IOCTL_DISK_GET_PARTITION_INFO_EX,			$TA0("iOCTL_DISK_GET_PARTITION_INFO_EX")}
MNEMONIC	{IOCTL_DISK_SET_PARTITION_INFO_EX,			$TA0("iOCTL_DISK_SET_PARTITION_INFO_EX")}
MNEMONIC	{IOCTL_DISK_GET_DRIVE_LAYOUT_EX,			$TA0("iOCTL_DISK_GET_DRIVE_LAYOUT_EX")}
MNEMONIC	{IOCTL_DISK_SET_DRIVE_LAYOUT_EX,			$TA0("iOCTL_DISK_SET_DRIVE_LAYOUT_EX")}
MNEMONIC	{IOCTL_DISK_CREATE_DISK,					$TA0("iOCTL_DISK_CREATE_DISK")}
MNEMONIC	{IOCTL_DISK_GET_LENGTH_INFO,				$TA0("iOCTL_DISK_GET_LENGTH_INFO")}
MNEMONIC	{IOCTL_DISK_GET_DRIVE_GEOMETRY_EX,			$TA0("iOCTL_DISK_GET_DRIVE_GEOMETRY_EX")}

MNEMONIC	{IOCTL_DISK_UPDATE_DRIVE_SIZE,				$TA0("iOCTL_DISK_UPDATE_DRIVE_SIZE")}
MNEMONIC	{IOCTL_DISK_GROW_PARTITION,					$TA0("iOCTL_DISK_GROW_PARTITION")}

MNEMONIC	{IOCTL_DISK_GET_CACHE_INFORMATION,			$TA0("iOCTL_DISK_GET_CACHE_INFORMATION")}
MNEMONIC	{IOCTL_DISK_SET_CACHE_INFORMATION,			$TA0("iOCTL_DISK_SET_CACHE_INFORMATION")}
; Obsolete DISK_GET_WRITE_CACHE_STATE
MNEMONIC	{IOCTL_DISK_GET_WRITE_CACHE_STATE,			$TA0("iOCTL_DISK_GET_WRITE_CACHE_STATE")}

MNEMONIC	{IOCTL_DISK_DELETE_DRIVE_LAYOUT,			$TA0("iOCTL_DISK_DELETE_DRIVE_LAYOUT")}

MNEMONIC	{IOCTL_DISK_UPDATE_PROPERTIES,				$TA0("iOCTL_DISK_UPDATE_PROPERTIES")}

MNEMONIC	{IOCTL_DISK_FORMAT_DRIVE,					$TA0("iOCTL_DISK_FORMAT_DRIVE")}
MNEMONIC	{IOCTL_DISK_SENSE_DEVICE,					$TA0("iOCTL_DISK_SENSE_DEVICE")}

MNEMONIC	{IOCTL_DISK_GET_CACHE_SETTING,				$TA0("iOCTL_DISK_GET_CACHE_SETTING")}
MNEMONIC	{IOCTL_DISK_SET_CACHE_SETTING,				$TA0("iOCTL_DISK_SET_CACHE_SETTING")}

MNEMONIC	{IOCTL_DISK_COPY_DATA,						$TA0("iOCTL_DISK_COPY_DATA")}

MNEMONIC	{IOCTL_DISK_INTERNAL_SET_VERIFY,			$TA0("iOCTL_DISK_INTERNAL_SET_VERIFY")}
MNEMONIC	{IOCTL_DISK_INTERNAL_CLEAR_VERIFY,			$TA0("iOCTL_DISK_INTERNAL_CLEAR_VERIFY")}

MNEMONIC	{IOCTL_DISK_INTERNAL_SET_NOTIFY,			$TA0("iOCTL_DISK_INTERNAL_SET_NOTIFY")}

MNEMONIC	{IOCTL_DISK_CHECK_VERIFY,					$TA0("iOCTL_DISK_CHECK_VERIFY")}
MNEMONIC	{IOCTL_DISK_MEDIA_REMOVAL,					$TA0("iOCTL_DISK_MEDIA_REMOVAL")}
MNEMONIC	{IOCTL_DISK_EJECT_MEDIA,					$TA0("iOCTL_DISK_EJECT_MEDIA")}
MNEMONIC	{IOCTL_DISK_LOAD_MEDIA,						$TA0("iOCTL_DISK_LOAD_MEDIA")}
MNEMONIC	{IOCTL_DISK_RESERVE,						$TA0("iOCTL_DISK_RESERVE")}
MNEMONIC	{IOCTL_DISK_RELEASE,						$TA0("iOCTL_DISK_RELEASE")}
MNEMONIC	{IOCTL_DISK_FIND_NEW_DEVICES,				$TA0("iOCTL_DISK_FIND_NEW_DEVICES")}
MNEMONIC	{IOCTL_DISK_GET_MEDIA_TYPES,				$TA0("iOCTL_DISK_GET_MEDIA_TYPES")}

MNEMONIC	{IOCTL_DISK_SIMBAD,							$TA0("iOCTL_DISK_SIMBAD")}

; ntddft.inc

MNEMONIC	{FT_INITIALIZE_SET,							$TA0("fT_INITIALIZE_SET")}
MNEMONIC	{FT_REGENERATE,								$TA0("fT_REGENERATE")}
MNEMONIC	{FT_CONFIGURE,								$TA0("fT_CONFIGURE")}
MNEMONIC	{FT_VERIFY,									$TA0("fT_VERIFY")}
MNEMONIC	{FT_SECONDARY_READ,							$TA0("fT_SECONDARY_READ")}
MNEMONIC	{FT_PRIMARY_READ,							$TA0("fT_PRIMARY_READ")}
MNEMONIC	{FT_BALANCED_READ_MODE,						$TA0("fT_BALANCED_READ_MODE")}
MNEMONIC	{FT_SYNC_REDUNDANT_COPY,					$TA0("fT_SYNC_REDUNDANT_COPY")}
MNEMONIC	{FT_SEQUENTIAL_WRITE_MODE,					$TA0("fT_SEQUENTIAL_WRITE_MODE")}
MNEMONIC	{FT_PARALLEL_WRITE_MODE,					$TA0("fT_PARALLEL_WRITE_MODE")}
MNEMONIC	{FT_QUERY_SET_STATE,						$TA0("fT_QUERY_SET_STATE")}
MNEMONIC	{FT_CLUSTER_SET_MEMBER_STATE,				$TA0("fT_CLUSTER_SET_MEMBER_STATE")}
MNEMONIC	{FT_CLUSTER_GET_MEMBER_STATE,				$TA0("fT_CLUSTER_GET_MEMBER_STATE")}

; ntddft2.inc

MNEMONIC	{FT_CREATE_LOGICAL_DISK,					$TA0("fT_CREATE_LOGICAL_DISK")}
MNEMONIC	{FT_BREAK_LOGICAL_DISK,						$TA0("fT_BREAK_LOGICAL_DISK")}
MNEMONIC	{FT_ENUMERATE_LOGICAL_DISKS,				$TA0("fT_ENUMERATE_LOGICAL_DISKS")}
MNEMONIC	{FT_QUERY_LOGICAL_DISK_INFORMATION,			$TA0("fT_QUERY_LOGICAL_DISK_INFORMATION")}
MNEMONIC	{FT_ORPHAN_LOGICAL_DISK_MEMBER,				$TA0("fT_ORPHAN_LOGICAL_DISK_MEMBER")}
MNEMONIC	{FT_REPLACE_LOGICAL_DISK_MEMBER,			$TA0("fT_REPLACE_LOGICAL_DISK_MEMBER")}
MNEMONIC	{FT_QUERY_NT_DEVICE_NAME_FOR_LOGICAL_DISK,	$TA0("fT_QUERY_NT_DEVICE_NAME_FOR_LOGICAL_DISK")}
MNEMONIC	{FT_INITIALIZE_LOGICAL_DISK,				$TA0("fT_INITIALIZE_LOGICAL_DISK")}
MNEMONIC	{FT_QUERY_DRIVE_LETTER_FOR_LOGICAL_DISK,	$TA0("fT_QUERY_DRIVE_LETTER_FOR_LOGICAL_DISK")}
MNEMONIC	{FT_CHECK_IO,								$TA0("fT_CHECK_IO")}
MNEMONIC	{FT_SET_DRIVE_LETTER_FOR_LOGICAL_DISK,		$TA0("fT_SET_DRIVE_LETTER_FOR_LOGICAL_DISK")}
MNEMONIC	{FT_QUERY_NT_DEVICE_NAME_FOR_PARTITION,		$TA0("fT_QUERY_NT_DEVICE_NAME_FOR_PARTITION")}
MNEMONIC	{FT_CHANGE_NOTIFY,							$TA0("fT_CHANGE_NOTIFY")}
MNEMONIC	{FT_STOP_SYNC_OPERATIONS,					$TA0("fT_STOP_SYNC_OPERATIONS")}

MNEMONIC	{FT_QUERY_LOGICAL_DISK_ID,					$TA0("fT_QUERY_LOGICAL_DISK_ID")}
MNEMONIC	{FT_CREATE_PARTITION_LOGICAL_DISK,			$TA0("fT_CREATE_PARTITION_LOGICAL_DISK")}

